Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  AudioChannel, VisualChannel

public abstract class SGChannel
extends Component
implements quicktime.jdirect.QuickTimeLib

Assists in importing sound and/or video into a movie. The SGChannel implements methods for a corresponding QuickTime ComponentInstance structure. Refer to SGChannel in QuickTime Components

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`SGDataSourceInfo` | `getDataSourceName()` Get the source identification information associated with a sequence grabber channel.
`SGDeviceList` | `getDeviceList(int selectionFlags)` Get the list of currently available Sound Input Driver names.
`int` | `getPlayFlags()` Allows you to get the speed and quality with which the sequence grabber displays data from a channel.
`SampleDescription` | `getSampleDescription()` This method allows you to retrieve a sample description from the SGChannel.
`SequenceGrabber` | `getSequenceGrabber()` Returns the SequenceGrabber that the channel is attached too.
`UserData` | `getSettings()` Retrieves the current settings of the SequenceGrabber channel.
`int` | `getTimeScale()` This method allows you to retrieve a channelŐs time scale.
`int` | `getUsage()` Returns how the channel is being used by the SequenceGrabber component.
`void` | `setDataSourceName(java.lang.String name, int scriptTag)` Set the source identification information associated with a sequence grabber channel.
`void` | `setDevice(java.lang.String name)` The method allows the sequence grabber to assign a device to your channel.
`void` | `setOutput(SGOutput output)` QuickTime::SGSetChannelOutput
`void` | `setPlayFlags(int playFlags)` Allows you to influence the speed and quality with which the sequence grabber displays data from a channel.
`void` | `setSettings(UserData ud)` Configure a SequenceGrabber channel based on the UserData passed in.
`void` | `settingsDialog()` Instructs the sequence grabber to display its settings dialog box to the user.
`void` | `settingsDialog(int flags, Component[] panelList)` Instructs the sequence grabber to display its settings dialog box to the user.
`void` | `setUsage(int usage)` Specifies how a channel is to be used by the SequenceGrabber component.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSampleDescription

    public final SampleDescription getSampleDescription()
                                                 throws QTException

  This method allows you to retrieve a sample description from the SGChannel.

  Returns:
    a SampleDescription object.

### getSequenceGrabber

    public SequenceGrabber getSequenceGrabber()

  Returns the SequenceGrabber that the channel is attached too.

### settingsDialog

    public void settingsDialog()
                        throws StdQTException

  Instructs the sequence grabber to display its settings dialog box to the user.
  QuickTime::SGSettingsDialog

  Parameters:
    `channel` - Identifies the channel to be configured.

### settingsDialog

    public void settingsDialog(int flags,
                               Component[] panelList)
                        throws StdQTException

  Instructs the sequence grabber to display its settings dialog box to the user.
  QuickTime::SGSettingsDialog

  Parameters:
    `channel` - Identifies the channel to be configured.
    `flags` - The control flags for the current operation.
    `panelList` - An array of sequence grabber panel component identifiers. Will only present these components in the panel component pop-up menu. Set to null to use all identifiers. SGPanel[] panelList

### setDataSourceName

    public void setDataSourceName(java.lang.String name,
                                  int scriptTag)
                           throws StdQTException

  Set the source identification information associated with a sequence grabber channel.
  QuickTime::SGChannelSetDataSourceName

  Parameters:
    `name` - Source identification name.
    `scriptTag` - source informationŐs language code.

### getDataSourceName

    public SGDataSourceInfo getDataSourceName()
                                       throws StdQTException

  Get the source identification information associated with a sequence grabber channel.
  QuickTime::SGChannelGetDataSourceName

  Parameters:
    `name` - a SGVideoCompressorInfo object.
    `scriptTag` - a SGVideoCompressorInfo object.

### setSettings

    public void setSettings(UserData ud)
                     throws StdQTException

  Configure a SequenceGrabber channel based on the UserData passed in. You typically get the UserData via a call to NewUserDataFromHandle or from first calling SGGetChannelSettings.
  QuickTime::SGSetChannelSettings

  Parameters:
    `ud` - Specifies a user data list with configuration information for the sequence grabber.

### getSettings

    public UserData getSettings()
                         throws StdQTException

  Retrieves the current settings of the SequenceGrabber channel. The sequence grabber places this configuration information into a Movie Toolbox user data list.
  QuickTime::SGGetChannelSettings

  Parameters:
    `ud` - Specifies a user data list with configuration information for the sequence grabber.

### setUsage

    public void setUsage(int usage)
                  throws StdQTException

  Specifies how a channel is to be used by the SequenceGrabber component.
  QuickTime::SGSetChannelUsage QuickTime::SGSetChannelUsage

  Parameters:
    `usage` - contains flags that specify how the channel is to be used

### getUsage

    public int getUsage()
                 throws StdQTException

  Returns how the channel is being used by the SequenceGrabber component.
  QuickTime::SGGetChannelUsage QuickTime::SGGetChannelUsage

  Returns:
    current usage flags

### setPlayFlags

    public void setPlayFlags(int playFlags)
                      throws StdQTException

  Allows you to influence the speed and quality with which the sequence grabber displays data from a channel.
  QuickTime::SGSetChannelPlayFlags QuickTime::SGSetChannelPlayFlags

  Parameters:
    `playFlags` - the flags

### getPlayFlags

    public int getPlayFlags()
                     throws StdQTException

  Allows you to get the speed and quality with which the sequence grabber displays data from a channel.
  QuickTime::SGGetChannelPlayFlags QuickTime::SGGetChannelPlayFlags

  Returns:
    the flags

### setDevice

    public void setDevice(java.lang.String name)
                   throws StdQTException

  The method allows the sequence grabber to assign a device to your channel.

  Parameters:
    `the` - name of the device.

### getDeviceList

    public SGDeviceList getDeviceList(int selectionFlags)
                               throws StdQTException

  Get the list of currently available Sound Input Driver names.

  Returns:
    the sound input names list.
  See Also:
    `(String driverName) to set the input driver.`

### getTimeScale

    public int getTimeScale()
                     throws StdQTException

  This method allows you to retrieve a channelŐs time scale.

  Returns:
    the time scale

### setOutput

    public void setOutput(SGOutput output)
                   throws StdQTException

QuickTime::SGSetChannelOutput

  Parameters:
    `ouput` - this will be the output that is used by this channel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD